package com.atlassian.bitbucket.internal.mirroring.mirror;

import javax.validation.constraints.NotNull;

/**
 * Project details received from an upstream server.
 *
 * Note that this class uses javax.validation annotations to allow input to be validated before being processed
 */
public interface ExternalProject {
    @NotNull
    String getId();

    @NotNull
    String getKey();

    @NotNull
    String getName();

    boolean isPublic();
}
